Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

addCloudPostgresqlUserList

Prev Next

Available in VPC

Add a DB user to a Cloud DB for PostgreSQL instance.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpostgresql/v2/addCloudPostgresqlUserList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
  • Region code of the Cloud DB for PostgreSQL instance to add DB users to.
  • See getRegionList.
  • First Region of the getRegionList query result (default).
cloudPostgresqlInstanceNo String Required Cloud DB for PostgreSQL instance number
cloudPostgresqlUserList.N.name List[String] Required List of user IDs to add to the Cloud DB for PostgreSQL instance
  • Enter between 4 and 16 characters using a combination of English letters, numbers, and special character "_".
  • The string must start with an English letter.
  • Predefined roles and reserved words can't be used.
  • Example: cloudPostgresqlUserList.1.name=testuser1&cloudPostgresqlUserList.2.name=testuser2
cloudPostgresqlUserList.N.clientCidr List[String] Required CIDR (access control) list of clients to acces
  • CIDR application method.
    • Allow access to all: 0.0.0.0/0
    • Allow access to specific IPs (e.g., 192.168.1.1/32).
    • Allow access to an IP range (e.g., 192.168.1.0/24).
  • Example: cloudPostgresqlUserList.1.clientCidr=0.0.0.0/0&cloudPostgresqlUserList.2.clientCidr=192.168.1.1/32
cloudPostgresqlUserList.N.password List[String] Required DB user account password
  • Enter between 8 and 20 characters containing at least one English letter, number, and special character.
  • Special characters ` & + \ " ' / and spaces can't be used.
  • User ID can't be included.
  • Example: cloudPostgresqlUserList.1.password=********&cloudPostgresqlUserList.2.password=********
cloudPostgresqlUserList.N.isReplicationRole List[Boolean] Required Replication role status list
  • true | false
  • Example: cloudPostgresqlUserList.1.isReplicationRole=true&cloudPostgresqlUserList.N.isReplicationRole=false
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/addCloudPostgresqlUserList
?regionCode=KR
&cloudPostgresqlInstanceNo=****925
&cloudPostgresqlUserList.1.name=testuser
&cloudPostgresqlUserList.1.clientCidr=0.0.0.0/0
&cloudPostgresqlUserList.1.password=********
&cloudPostgresqlUserList.1.isReplicationRole=false' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response status codes

For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json
{
    "addCloudPostgresqlUserListResponse": {
        "requestId": "7d560df7-****-****-****-42928b27518d",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<addCloudPostgresqlUserListResponse>
    <requestId>7d560df7-****-****-****-42928b27518d</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
</addCloudPostgresqlUserListResponse>